package com.heyu.api.data.entity.calca;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*account数据变更表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("calca_account_log")
public class CalcaAccountLogEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.calca.CalcaAccountLogEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                               // 
    public final static String is_delete = CLASS_NAME + "is_delete";                  // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";              // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";              // 修改时间
    public final static String user_name = CLASS_NAME + "user_name";                  // 用户名
    public final static String before_amount = CLASS_NAME + "before_amount";          // 之前金额
    public final static String after_amount = CLASS_NAME + "after_amount";            // 之后金额
    public final static String opt_amount = CLASS_NAME + "opt_amount";                // 当前操作金额
    public final static String face_ = CLASS_NAME + "face";                           // 接口
    public final static String token_ = CLASS_NAME + "token";                         // 请求token
    public final static String role_ = CLASS_NAME + "role";                           // 操作者，system 
    public final static String yyyy_mm = CLASS_NAME + "yyyy_mm";                      // 年月数据量
    public final static String yyyy_mm_dd = CLASS_NAME + "yyyy_mm_dd";                // 年月日
    public final static String yyyy_mm_dd_hh = CLASS_NAME + "yyyy_mm_dd_hh";          // 年月日时
    public final static String yyyy_mm_dd_hh_mm = CLASS_NAME + "yyyy_mm_dd_hh_mm";    // 年月日时分
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //用户名
    private String userName;
    //之前金额
    private BigDecimal beforeAmount;
    //之后金额
    private BigDecimal afterAmount;
    //当前操作金额
    private BigDecimal optAmount;
    //接口
    private String face;
    //请求token
    private String token;
    //操作者，system 
    private String role;
    //年月数据量
    private String yyyyMm;
    //年月日
    private String yyyyMmDd;
    //年月日时
    private String yyyyMmDdHh;
    //年月日时分
    private String yyyyMmDdHhMm;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 用户名 
     * @return
     */
    public String getUserName() {
        return userName;
    }
    /**
     * 用户名 
     * @param userName
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 之前金额 
     * @return
     */
    public BigDecimal getBeforeAmount() {
        return beforeAmount;
    }
    /**
     * 之前金额 
     * @param beforeAmount
     */
    public void setBeforeAmount(BigDecimal beforeAmount) {
        this.beforeAmount = beforeAmount;
    }

    /**
     * 之后金额 
     * @return
     */
    public BigDecimal getAfterAmount() {
        return afterAmount;
    }
    /**
     * 之后金额 
     * @param afterAmount
     */
    public void setAfterAmount(BigDecimal afterAmount) {
        this.afterAmount = afterAmount;
    }

    /**
     * 当前操作金额 
     * @return
     */
    public BigDecimal getOptAmount() {
        return optAmount;
    }
    /**
     * 当前操作金额 
     * @param optAmount
     */
    public void setOptAmount(BigDecimal optAmount) {
        this.optAmount = optAmount;
    }

    /**
     * 接口 
     * @return
     */
    public String getFace() {
        return face;
    }
    /**
     * 接口 
     * @param face
     */
    public void setFace(String face) {
        this.face = face;
    }

    /**
     * 请求token 
     * @return
     */
    public String getToken() {
        return token;
    }
    /**
     * 请求token 
     * @param token
     */
    public void setToken(String token) {
        this.token = token;
    }

    /**
     * 操作者，system  
     * @return
     */
    public String getRole() {
        return role;
    }
    /**
     * 操作者，system  
     * @param role
     */
    public void setRole(String role) {
        this.role = role;
    }

    /**
     * 年月数据量 
     * @return
     */
    public String getYyyyMm() {
        return yyyyMm;
    }
    /**
     * 年月数据量 
     * @param yyyyMm
     */
    public void setYyyyMm(String yyyyMm) {
        this.yyyyMm = yyyyMm;
    }

    /**
     * 年月日 
     * @return
     */
    public String getYyyyMmDd() {
        return yyyyMmDd;
    }
    /**
     * 年月日 
     * @param yyyyMmDd
     */
    public void setYyyyMmDd(String yyyyMmDd) {
        this.yyyyMmDd = yyyyMmDd;
    }

    /**
     * 年月日时 
     * @return
     */
    public String getYyyyMmDdHh() {
        return yyyyMmDdHh;
    }
    /**
     * 年月日时 
     * @param yyyyMmDdHh
     */
    public void setYyyyMmDdHh(String yyyyMmDdHh) {
        this.yyyyMmDdHh = yyyyMmDdHh;
    }

    /**
     * 年月日时分 
     * @return
     */
    public String getYyyyMmDdHhMm() {
        return yyyyMmDdHhMm;
    }
    /**
     * 年月日时分 
     * @param yyyyMmDdHhMm
     */
    public void setYyyyMmDdHhMm(String yyyyMmDdHhMm) {
        this.yyyyMmDdHhMm = yyyyMmDdHhMm;
    }

    @Override
    public String toString() {
        return "CalcaAccountLogEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",userName=" + userName +
                ",beforeAmount=" + beforeAmount +
                ",afterAmount=" + afterAmount +
                ",optAmount=" + optAmount +
                ",face=" + face +
                ",token=" + token +
                ",role=" + role +
                ",yyyyMm=" + yyyyMm +
                ",yyyyMmDd=" + yyyyMmDd +
                ",yyyyMmDdHh=" + yyyyMmDdHh +
                ",yyyyMmDdHhMm=" + yyyyMmDdHhMm +
                "}";
    }
}